/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称:
 * 创建日期:2022/8/28
 */
package org.springblade.modules.business.data.service;


import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.business.data.dto.RtuDataRainDTO;
import org.springblade.modules.business.data.entity.RtuDataRainStoreEntity;
import org.springblade.modules.etl.entity.EtlRainDataEntity;

import java.util.List;


/***
 * Date:2022/8/28
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public interface IRtuDataRainStoreService extends BaseService<RtuDataRainStoreEntity> {

	List<RtuDataRainStoreEntity> selectList(RtuDataRainDTO dto);

	List<RtuDataRainStoreEntity> selectLast(RtuDataRainDTO dto);

	/**
	 * 持久化保存雨量数据
	 * @param etlRainDataEntity
	 * @return
	 */
    boolean saveRainData(EtlRainDataEntity etlRainDataEntity);

    Long rtuUpDataCount(RtuDataRainDTO rainDTO);

	Double rainDrpCount(RtuDataRainDTO rainDTO);
}
